Python TensorRT version

Description

“apt list --installed | grep tensorrt” yields:
nvidia-tensorrt-dev/stable,now 5.1.2-b104 arm64 [installed]
nvidia-tensorrt/stable,now 5.1.2-b104 arm64 [installed]
tensorrt-libs/stable,now 8.5.2.2-1+cuda11.4 arm64 [installed,automatic]
tensorrt/stable,now 8.5.2.2-1+cuda11.4 arm64 [installed]

In python “print(tensorrt._version)” yields 8.5.2.2

Isn’t there a conflict here? If so how can I get tensorrt python api to support cuda 11.4 such that print(tensorrt._version) would yield 8.5.2.2-1+cuda11.4?

I was running an inference code by using a tensorrt engine and I realized the inference is very slow and I thought this might be the issue.

Environment

TensorRT Version: 8.5.2.2+cuda11.4
GPU Type: Jetson AGX Orin Dev-Kit
Nvidia Driver Version:
CUDA Version: 11.4
CUDNN Version:
Operating System + Version: Ubuntu 20.04
Python Version (if applicable):
TensorFlow Version (if applicable):
PyTorch Version (if applicable):
Baremetal or Container (if container which image + tag):

Hi @Tungdil99 ,
Would you like to refer Installation Guide :: NVIDIA Deep Learning TensorRT Documentation to verify setup.

Thanks